Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSVoIPConfigurationVideo Class Reference

`#import <CSVoIPConfigurationVideo.h>`

Inherits NSObject.

## Properties
BOOL | enabled
BOOL | cpuAdaptiveVideoEnabled
int | dscpVideo
BOOL | automaticDscpConfigurationEnabled
int | firstVideoPingInterval
int | periodicVideoPingInterval
int | minPortRange
int | maxPortRange
CSBfcpTransportMode | bfcpMode
CSCongestionControlAlgorithm | congestionControlAlgorithm
int | anyNetworkBandwidthLimitKbps
int | cellularNetworkBandwidthLimitKbps
CSMaxVideoResolution | maxVideoResolution
CSForwardErrorCorrection | forwardErrorCorrection
CSVideoCodecVendor | videoCodecVendor
BOOL | enableMultipleVideoStreamSupport
CSDSCPPrecedenceConfiguration * | dscpPrecedenceConfig
BOOL | retransmissionEnabled
BOOL | h264HighProfileEnabled
CSLayer2PriorityMarking | layer2PriorityMarking

## Property Documentation

- (int) anyNetworkBandwidthLimitKbps
| read write nonatomic assign

- (BOOL) automaticDscpConfigurationEnabled
| read write nonatomic assign

- (CSBfcpTransportMode) bfcpMode
| read write nonatomic assign

- (int) cellularNetworkBandwidthLimitKbps
| read write nonatomic assign

- (CSCongestionControlAlgorithm) congestionControlAlgorithm
| read write nonatomic assign

- (BOOL) cpuAdaptiveVideoEnabled
| read write nonatomic assign

- (CSDSCPPrecedenceConfiguration*) dscpPrecedenceConfig
| read write nonatomic copy

- (int) dscpVideo
| read write nonatomic assign

- (BOOL) enabled
| read write nonatomic assign

- (BOOL) enableMultipleVideoStreamSupport
| read write nonatomic assign

- (int) firstVideoPingInterval
| read write nonatomic assign

- (CSForwardErrorCorrection) forwardErrorCorrection
| read write nonatomic assign

- (BOOL) h264HighProfileEnabled
| read write nonatomic assign

- (CSLayer2PriorityMarking) layer2PriorityMarking
| read write nonatomic assign

- (int) maxPortRange
| read write nonatomic assign

- (CSMaxVideoResolution) maxVideoResolution
| read write nonatomic assign

- (int) minPortRange
| read write nonatomic assign

- (int) periodicVideoPingInterval
| read write nonatomic assign

- (BOOL) retransmissionEnabled
| read write nonatomic assign

- (CSVideoCodecVendor) videoCodecVendor
| read write nonatomic assign

The documentation for this class was generated from the following file:

- CSVoIPConfigurationVideo.h